### Signal

# WebKit2 WebContext::initialize-web-extensions

since: 2.4

#### Declaration

    void
    initialize_web_extensions (
      WebKitWebContext* self,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a new web process is about to be launched. It signals the most appropriate moment to use `webkit_web_context_set_web_extensions_initialization_user_data()` and webkit_web_context_set_web_extensions_directory().

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.4